Bug 210891 - www/node, www/node4: Fix OpenSSL dependencies after USES=ssl changes
Summary: www/node, www/node4: Fix OpenSSL dependencies after USES=ssl changes
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ports Security Team
URL:
Keywords: needs-qa, patch
Depends on: 210786
Blocks: 210893
  Show dependency treegraph
 
Reported: 2016-07-07 13:11 UTC by Bradley T. Hughes
Modified: 2016-09-14 14:02 UTC (History)
2 users (show)

See Also:
pi: merge-quarterly?


Attachments
patch from a git commit (2.24 KB, text/plain)
2016-07-07 13:11 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details
patch from a git commit (2.26 KB, patch)
2016-07-07 13:53 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
patch from a git commit (2.26 KB, patch)
2016-07-08 12:32 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-07-07 13:11:08 UTC
Created attachment 172195 [details]
patch from a git commit

Use USES=ssl (with :openssl if it ever becomes a thing) instead instead
of USE_OPENSSL=yes. Keep the WANT_OPENSSL_PORT=yes for now, since the
default is still to use base. Bump PORTREVISION since we are re-adding
the security/openssl dependency.
Comment 1 Bradley T. Hughes freebsd_committer 2016-07-07 13:53:57 UTC
Created attachment 172199 [details]
patch from a git commit

Updated patch, depends on PR 210786.
Comment 2 Bradley T. Hughes freebsd_committer 2016-07-07 14:00:14 UTC
$ portlint -C
looks fine.
Comment 3 Bradley T. Hughes freebsd_committer 2016-07-07 14:00:35 UTC
poudriere testport: OK, 10.3-RELEASE amd64
Comment 4 Bradley T. Hughes freebsd_committer 2016-07-08 12:32:18 UTC
Created attachment 172238 [details]
patch from a git commit

Removed trailing whitespace in www/node4/Makefile.
Comment 5 Kurt Jaeger freebsd_committer 2016-07-09 13:42:31 UTC
testbuilds OK
Comment 6 commit-hook freebsd_committer 2016-07-09 13:43:07 UTC
A commit references this bug:

Author: pi
Date: Sat Jul  9 13:42:54 UTC 2016
New revision: 418280
URL: https://svnweb.freebsd.org/changeset/ports/418280

Log:
  www/node[4]: Fix OpenSSL dependencies after USES=ssl changes

  PR:		210891
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/www/node/Makefile
  head/www/node4/Makefile
Comment 7 Kurt Jaeger freebsd_committer 2016-07-09 13:43:16 UTC
Committed, thanks.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-09 13:53:40 UTC
Does this need to be MFH'd or did USES=ssl not make it to quarterly?
Comment 9 Kurt Jaeger freebsd_committer 2016-07-09 14:00:58 UTC
I built node and node4 for PR#210786 without those changes, and it was fine, so it should also work without those changes in the quarterly.

USES=ssl is available in Q3, anyway.
Comment 10 Bradley T. Hughes freebsd_committer 2016-07-11 07:27:14 UTC
> I built node and node4 for PR#210786 without those changes, and it was
> fine, so it should also work without those changes in the quarterly.

I would like to see this change merged into quarterly, if at all possible.

While the ports do build, the dependencies are not correct. They should be linking against a shared openssl, but they are not. Instead, the openssl bundled with node.js is statically linked into the node.js binary, ignoring the default port config.
Comment 11 Kurt Jaeger freebsd_committer 2016-07-11 07:29:11 UTC
portmgr: is it OK to MFH ?
Comment 12 Antoine Brodin freebsd_committer 2016-07-11 07:34:45 UTC
USES= ssl:openssl isn't valid, it should be USES= ssl